import { error } from '../constants';
import { defineMiddleware } from '../middleware';
import type { StylisticRulesObject } from '@aet/eslint-define-config/src/rules/stylistic';

const stylisticRules: Partial<StylisticRulesObject> = {
  'stylistic/spaced-comment': [
    error,
    'always',
    {
      markers: ['/', '#', '@'],
      // allow /*@__PURE__*/
      block: { exceptions: ['@'] },
    },
  ],
};

export const stylistic = defineMiddleware((_, { addRules }) => {
  addRules(stylisticRules);
});
